# Class JmolTouchSimulator.TouchDataComparator

java.lang.Object
com.sparshui.inputdevice.JmolTouchSimulator.TouchDataComparator

All Implemented Interfaces:
  `Comparator<JmolTouchSimulator.TouchData>`

Enclosing class:
  `JmolTouchSimulator`

protected class JmolTouchSimulator.TouchDataComparator extends Object implements Comparator<JmolTouchSimulator.TouchData>

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TouchDataComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(JmolTouchSimulator.TouchData o1, JmolTouchSimulator.TouchData o2)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### TouchDataComparator

protected TouchDataComparator()

## Method Details

### compare

public int compare(JmolTouchSimulator.TouchData o1, JmolTouchSimulator.TouchData o2)

Specified by:
  `compare` in interface `Comparator<JmolTouchSimulator.TouchData>`